GET /people

art19.com

Summary: Get a list of people
Operation ID:
Auth: api_key
Description

Each series, season, and episode has a Credits section where you may add people and roles. This is an internal tool to recognize contributors. It is not related to ART19 users or account permissions. Each Person added will have no additional access or permissions granted as a result of being included in the Credits section.

Parameters (5)

ids[] (array, query, optional)

The list of IDs to filter by. Repeat this parameter for each ID you want to include in the filter. The brackets *MUST* be percent-encoded, per the requirements in [RFC 3986 § 3.4](https://tools.ietf.org/html/rfc3986#section-3.4).

page[number] (integer, query, optional)

Select which page number to receive results for. Pages are numbered starting at 1.

Constraints: {'minimum': 1}

page[size] (integer, query, optional)

Indicate how many records to return per page. The maximum is 100.

Constraints: {'minimum': 1, 'maximum': 100}

q (string, query, optional)

Limit the result to people with a full name containing this parameter in a case-insensitive way.

sort (array, query, optional, default: last_name,first_name)

Specify how to sort the result. Please refer to either the top section or the [JSON:API specification](https://jsonapi.org/format/#fetching-sorting) on how sorting works in general.

No probe data for this endpoint yet.